# Contributions

All contributions to the project are welcome! You can either open an issue, send me an email to unmoldequimica@gmail.com or create your on Pull Requests on GitHub.


Here I will make a small guide on how to contribute, specially if you want to add your own code.

# How To Contribute

If you have a request for a feature, want to make a change on the code or simply tell me how messy the code is, *you should always start by* [opening an issue](https://github.com/UnMolDeQuimica/manim-Chemistry/issues/new?template=Blank+issue). Then you can open a PR if you want to add your code or simply wait for me to make the necessary changes.

## Issues
In an issue, you describe what do you want to do or what do you want to achieve. Here are some tips that might help everyone understand what do you need:

1. Describe your suggestion/problem/request/etc. A good description makes life easier! You do not need to have perfect english (I do not have it!) but try to be as concise as you can.

2. Add images or videos that support your description. Sometimes an image is worth a 1000 words. Show me in an image or a video what do you want to achieve and we can try to make it happen!

3. Be patient and keep communication open: This is a project mantained during my spare time, so you can not expect me to respond to you instantly. It might take a few days to get a response but you will get it for sure! Also, don't forget to answer questions or provide more context if they are required. Communication is the key to all successful projects!


## Pull Requests

When opening a pull request there are some things that are mandatory to keep the project clean, organized and functional.

1. Open an issue and link your PR to it. This way we can trace a solution to it's original problem.
2. Describe what your PR does and what problem it solves. You should have already done that in the issue, but sometimes the scope of a PR goes a little beyond its original task. Adding this extra description might sound redundant, but it will be helpful for sure.
3. Make small commits and follow the [Conventional Commits] standard. I know it is tempting to write a commit such as "THIS IS FINALLY WORKING WOOOOOH!!!!!! :rocket: :rocket:". I know. Don't. Forbidden.
4. Lint your code. The official linter for this project is [Ruff](https://docs.astral.sh/ruff/). Please run the command `ruff format` and then `ruff check .` on the project's root directory to make sure everything is ok. If you get any error, please fix it and then continue. Linted code is life. Linted code is love.
5. Make sure all tests pass correctly. It is as easy as running the `pytest` command on the project's root directory. Some animations will be generated. Check the ones that might be related to your development to make sure everything works as expected.

# Thank you!

Thank you very much. Some people have contributed to the project and I am really grateful for this.