---
hide-toc: true
og:description: Manim plugin designed to make chemistry animations easier.
---

# Welcome to Manim Chemistry Docs!

**Manim Chemistry** is a [Manim](https://www.manim.community/) plugin designed to make chemistry animations easier. Go to the [Quickstart guide](/quickstart/index) to have a glimpse of what you can do with Manim Chemistry!

Using its classes and methods you can animate:

**2D Molecules**
![plot](../../examples/examples_assets/2D_morphine_corrected_bonds.png)
![plot](../../examples/examples_assets/DrawGraphMorphine_ManimCE_v0.17.3.png)

**3D Molecules**
![plot](../../examples/examples_assets/Draw3DMorphine_ManimCE_v0.17.3.png)

**Bohr Diagrams**
![plot](../../examples/examples_assets/BohrDiagram_ManimCE_v0.17.3.png)

**Atomic Orbitals**
![plot](../../examples/examples_assets/orbitals_example.png)

And much more!

![plot](../../examples/examples_assets/DrawPeriodicTable_ManimCE_v0.17.3.png)


```{toctree}
:caption: Introduction
:hidden:

quickstart/index
philosophy
```

```{toctree}
:caption: Manual
:hidden:

reference_manual/index
```

```{toctree}
:caption: Development and Contact
:hidden:

contributing/index
changelog
license
```